Using Ruby 3.2 in Replit

Question:
I’d like to use Ruby 3.2 in replit. There’s alot of new features in it that I need for some exploration and it’s been available since December `22. I tried just changing the ruby pkg in replit.nix but it didn’t recognize it so I don’t know if I just messed something up, or if it really isn’t available.


**Repl link:** https://replit.com/@JPCamara/Ruby-Version#main.rb
**Screenshots, links, or other helpful context:**
``` puts `ruby -v` ```

You have to also change your nix.channel in the replit file to unstable

1 Like

Awesome! That did it, thank you!

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.